/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : FTM0.c
**     Project   : ProcessorExpert
**     Processor : MC9S08PT60CLH
**     Component : Init_FTM
**     Version   : Component 01.006, Driver 01.06, CPU db: 3.00.000
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2012-05-18, 17:40, # CodeGen: 210
**     Abstract  :
**          This file implements the FTM (FTM0) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings  :
**          Component name                                 : FTM0
**          Device                                         : FTM0
**          Settings                                       : 
**            FTM features                                 : Disabled
**              Clock settings                             : 
**                Clock source                             : System clock
**                Prescaler                                : divide by 32
**                Modulo counter                           : 0
**                Period                                   : 131.072 ms
**          Channels                                       : 
**            Channel 0                                    : Enabled
**              Channel mode                               : Edge PWM
**                PWM polarity                             : High-true
**                Channel value register                   : 0
**              Pin                                        : Disabled
**              Interrupt/DMA                              : 
**                Interrupt                                : Vftm0ch0
**                Channel interrupt                        : Disabled
**                ISR Name                                 : 
**            Channel 1                                    : Disabled
**          Pins/Signals                                   : 
**            External clock pin                           : Disabled
**          Interrupts                                     : 
**            Timer overflow                               : 
**              Interrupt                                  : Vftm0ovf
**              Timer overflow                             : Disabled
**              ISR Name                                   : Ftm0Ch0timeroverflow
**          Initialization                                 : 
**            Call Init method                             : yes
**     Contents  :
**         Init - void FTM0_Init(void);
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE FTM0. */

#include "FTM0.h"
  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  FTM0_Init (component Init_FTM)
**
**     Description :
**         This method initializes registers of the FTM module
**         according to the Peripheral Initialization settings.
**         Call this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void FTM0_Init(void)
{
  (void)getReg8(FTM0_SC);              /* Dummy read of the FTM0_SC register to clear the interrupt flag */
  /* FTM0_SC: TOF=0,TOIE=0,CPWMS=0,CLKS=0,PS=0 */
  setReg8(FTM0_SC, 0x00U);             /* Stop the counter */ 
  (void)getReg8(FTM0_C0SC);            /* Dummy read of the FTM0_C0SC register to clear the interrupt flag */
  /* FTM0_C0SC: CHF=0,CHIE=0,MSB=1,MSA=0,ELSB=1,ELSA=0,??=0,??=0 */
  setReg8(FTM0_C0SC, 0x28U);            
  /* FTM0_C1SC: CHF=0,CHIE=0,MSB=0,MSA=0,ELSB=0,ELSA=0,??=0,??=0 */
  setReg8(FTM0_C1SC, 0x00U);            
  /* FTM0_SC: CPWMS=0 */
  clrReg8Bits(FTM0_SC, 0x20U);          
  /* FTM0_C0V: VAL=0 */
  setReg16(FTM0_C0V, 0x00U);            
  /* FTM0_MOD: MOD=0 */
  setReg16(FTM0_MOD, 0x00U);            
  /* FTM0_CNT: COUNT=0 */
  setReg16(FTM0_CNT, 0x00U);            
  /* FTM0_SC: TOF=0,TOIE=0,CLKS=1,PS=5 */
  clrSetReg8Bits(FTM0_SC, 0xD2U, 0x0DU); 
}

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      ProcessorExpert.c
**      Events.c
**
** ###################################################################
ISR(Ftm0Ch0timeroverflow)
{
// NOTE: The routine should include actions to clear the appropriate
//       interrupt flags.
//
}

*/


/* END FTM0. */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.1 [04.49]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
