/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : MTIM1.c
**     Project   : ProcessorExpert
**     Processor : MC9S08PT60CLH
**     Component : Init_MTIM
**     Version   : Component 01.073, Driver 01.11, CPU db: 3.00.000
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2012-05-18, 18:54, # CodeGen: 213
**     Abstract  :
**          This component provides initialization of the MTIM module.
**          The MTIM is a simple 8/16-bit timer with several software selectable clock
**          sources and a programmable interrupt. The central component of the MTIM
**          is the 8/16-bit counter that can operate as a free-running counter or
**          a modulo counter. A timer overflow interrupt can be enabled to generate
**          periodic interrupts for time-based software loops.
**     Settings  :
**          Component name                                 : MTIM1
**          Device                                         : MTIM1
**          Settings                                       : 
**            Clock settings                               : 
**              Clock source                               : Bus clock
**              Prescaler                                  : 256
**              Modulo register value                      : 187
**              Period                                     : 3.008 ms
**          Pins                                           : 
**            External clock source                        : Disabled
**          Interrupts                                     : 
**            Interrupt                                    : Vmtim1
**            Overflow interrupt                           : Enabled
**            Priority                                     : 0
**            ISR name                                     : Mtim1Overflow
**          Initialization                                 : 
**            Call Init method                             : yes
**            Counter Reset                                : yes
**            Enable MTIM module                           : yes
**     Contents  :
**         Init - void MTIM1_Init(void);
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE MTIM1. */

#include "MTIM1.h"

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      ProcessorExpert.c
**      Events.c
**
** ###################################################################
      ISR(Mtim1Overflow)
      {
        // NOTE: The routine should include the following actions to obtain
        //       correct functionality of the hardware.
        //
        //       Example: MTIM1_SC_TOF = 0;
      }

*/
/*
** ===================================================================
**     Method      :  MTIM1_Init (component Init_MTIM)
**
**     Description :
**         This method initializes registers of the MTIM module
**         according to this Peripheral Initialization settings. Call
**         this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void MTIM1_Init(void)
{
  /* MTIM1_MOD: MOD=0xBB */
  setReg8(MTIM1_MOD, 0xBBU);            
  /* MTIM1_CLK: ??=0,??=0,CLKS=0,PS=8 */
  setReg8(MTIM1_CLK, 0x08U);            
  (void)getReg8(MTIM1_SC);             /* Overflow int. flag clearing (first part) */
  /* MTIM1_SC: TOF=0,TOIE=1,TRST=1,TSTP=0,??=0,??=0,??=0,??=0 */
  setReg8(MTIM1_SC, 0x60U);            /* Int. flag clearing (2nd part) and timer control register setting */ 
}

/* END MTIM1. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.1 [04.49]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
