/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : SCI.c
**     Project   : ProcessorExpert
**     Processor : MC9S08PT60CLH
**     Component : Init_SCI
**     Version   : Component 01.154, Driver 01.22, CPU db: 3.00.000
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2012-05-18, 17:40, # CodeGen: 210
**     Abstract  :
**          This component encapsulates Serial Communications Interface module
**          This modules allows asynchronous communications with peripheral
**          devices and other microcontroller units (MCU).
**     Settings  :
**          Component name                                 : SCI
**          Device                                         : SCI0
**          Settings
**            Baud rate divisor                            : 0000010000010
**            Baud rate                                    : 7692.308 baud
**            Loop mode                                    : Disabled
**            Receiver source select                       : Loop mode
**            TxD1 pin direction                           : Input
**            Data Format                                  : 8 bits
**            Stop in Wait mode                            : Disabled
**            Wake up                                      : Idle line wakeup
**            Idle character counting                      : After start bit
**            Parity                                       : None
**            Send break                                   : Disabled
**          Pins
**            RxD pin allocation                           : Enabled
**            RxD pin                                      : PTB0_KBI0P4_RXD0_ADP4_TSI2
**            RxD pin signal                               : 
**            TxD pin                                      : PTB1_KBI0P5_TXD0_ADP5_TSI3
**            TxD pin signal                               : 
**          Interrupts
**            Tx interrupt
**              Interrupt                                  : Vsci0tx
**              Transmit interrupt                         : Disabled
**              Transmition complete interrupt             : Disabled
**              ISR name                                   : 
**            Rx interrupt                                 : 
**              Interrupt                                  : Vsci0rx
**              Receive interrupt                          : Disabled
**              Idle line interrupt                        : Disabled
**              ISR name                                   : 
**            Error interrupt                              : 
**              Interrupt                                  : Vsci0err
**              Receive framing error interrupt            : Disabled
**              Receive noise error interrupt              : Disabled
**              Receive overrun interrupt                  : Disabled
**              Receive parity error interrupt             : Disabled
**              ISR name                                   : 
**          Initialization                                 : 
**            Call Init in CPU init. code                  : yes
**            Transmitter                                  : Disabled
**            Receiver                                     : Disabled
**     Contents  :
**         Init - void SCI_Init(void);
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE SCI. */

#include "SCI.h"

/*
** ===================================================================
**     Method      :  SCI_Init (component Init_SCI)
**
**     Description :
**         This method initializes registers of the SCI module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void SCI_Init(void)
{
  /* SCI0_C2: TIE=0,TCIE=0,RIE=0,ILIE=0,TE=0,RE=0,RWU=0,SBK=0 */
  setReg8(SCI0_C2, 0x00U);             /* Disable the SCI0 module */ 
  (void)getReg8(SCI0_S1);              /* Dummy read of the SCI0_S1 register to clear flags */
  (void)getReg8(SCI0_D);               /* Dummy read of the SCI0_D register to clear flags */
  /* SCI0_S2: LBKDIF=1,RXEDGIF=1,??=0,RXINV=0,RWUID=0,BRK13=0,LBKDE=0,RAF=0 */
  setReg8(SCI0_S2, 0xC0U);              
  /* SCI0_BDH: LBKDIE=0,RXEDGIE=0,SBNS=0,SBR=0 */
  setReg8(SCI0_BDH, 0x00U);             
  /* SCI0_BDL: SBR=0x82 */
  setReg8(SCI0_BDL, 0x82U);             
  /* SCI0_C1: LOOPS=0,SCISWAI=0,RSRC=0,M=0,WAKE=0,ILT=0,PE=0,PT=0 */
  setReg8(SCI0_C1, 0x00U);              
  /* SCI0_C3: R8=0,T8=0,TXDIR=0,TXINV=0,ORIE=0,NEIE=0,FEIE=0,PEIE=0 */
  setReg8(SCI0_C3, 0x00U);              
  /* SCI0_C2: TIE=0,TCIE=0,RIE=0,ILIE=0,TE=0,RE=0,RWU=0,SBK=0 */
  setReg8(SCI0_C2, 0x00U);              
}

/* END SCI. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.1 [04.49]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
