/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : SPI.c
**     Project   : ProcessorExpert
**     Processor : MC9S08PT60CLH
**     Component : Init_SPI
**     Version   : Component 01.113, Driver 01.21, CPU db: 3.00.000
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2012-05-18, 17:40, # CodeGen: 210
**     Abstract  :
**          This file implements the SPI (SPI0) module initialization
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes.
**          The SPI module is the serial peripheral interface module,which allows 
**          full-duplex, synchronous, serial communications with peripheral devices.


**     Settings  :
**          Component name                                 : SPI
**          Device                                         : SPI0
**          Settings
**            Clock settings
**              Value of Preselection                      : 4
**              Value of Selection                         : 4
**              Frequency                                  : 1000 kHz
**            Mode Select                                  : Master
**            Clock Polarity                               : active-low
**            Clock Phase                                  : First edge
**            Data shift order                             : MSB first
**            Bidirectional mode                           : Disabled
**            Output enable in Bidirect.                   : no
**            Stop in Wait Mode                            : Disabled
**            Data length                                  : 8 bits
**            Match value                                  : 0
**          Pins
**            SCK pin                                      : PTE0_SPSCK0_TCLK1
**            SCK pin signal                               : 
**            MISO pin allocation                          : Enabled
**            MISO pin                                     : PTE2_MISO0
**            MISO pin signal                              : 
**            MOSI pin allocation                          : Enabled
**            MOSI pin                                     : PTE1_MOSI0
**            MOSI pin signal                              : 
**            SS pin allocation                            : Enabled
**            SS pin mode                                  : Automatic Slave Select output
**            SS pin                                       : PTE3_SS0
**            SS pin signal                                : 
**          Interrupts
**            Interrupt                                    : Vspi0
**            Receive and fault interrupt                  : Disabled
**            Transmit Interrupt                           : Disabled
**            Match interrupt                              : Disabled
**            ISR name                                     : 
**          Initialization
**            Call Init in CPU init. code                  : yes
**            Enable SPI system                            : yes
**     Contents  :
**         Init - void SPI_Init(void);
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

/* MODULE SPI. */

#include "SPI.h"

/*
** ===================================================================
**     Method      :  SPI_Init (component Init_SPI)
**
**     Description :
**         This method initializes registers of the SPI module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void SPI_Init(void)
{
  /* SPI0_C1: SPIE=0,SPE=0,SPTIE=0,MSTR=0,CPOL=0,CPHA=0,SSOE=0,LSBFE=0 */
  setReg8(SPI0_C1, 0x00U);             /* All interrupt flags in SPIxS register are reset when the SPI0 module is disabled. */ 
  /* SPI0_C2: SPMIE=0,??=0,??=0,MODFEN=1,BIDIROE=0,??=0,SPISWAI=0,SPC0=0 */
  setReg8(SPI0_C2, 0x10U);              
  /* SPI0_BR: ??=0,SPPR=3,SPR=1 */
  setReg8(SPI0_BR, 0x31U);              
  /* SPI0_M: Bits=0 */
  setReg8(SPI0_M, 0x00U);               
  /* SPI0_C1: SPIE=0,SPE=1,SPTIE=0,MSTR=1,CPOL=1,CPHA=0,SSOE=1,LSBFE=0 */
  setReg8(SPI0_C1, 0x5AU);              
}

/* END SPI. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.1 [04.49]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
