/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : SPI.h
**     Project   : ProcessorExpert
**     Processor : MC9S08PT60CLH
**     Component : Init_SPI
**     Version   : Component 01.113, Driver 01.21, CPU db: 3.00.000
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2012-05-18, 17:40, # CodeGen: 210
**     Abstract  :
**          This file implements the SPI (SPI0) module initialization
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes.
**          The SPI module is the serial peripheral interface module,which allows 
**          full-duplex, synchronous, serial communications with peripheral devices.


**     Settings  :
**          Component name                                 : SPI
**          Device                                         : SPI0
**          Settings
**            Clock settings
**              Value of Preselection                      : 4
**              Value of Selection                         : 4
**              Frequency                                  : 1000 kHz
**            Mode Select                                  : Master
**            Clock Polarity                               : active-low
**            Clock Phase                                  : First edge
**            Data shift order                             : MSB first
**            Bidirectional mode                           : Disabled
**            Output enable in Bidirect.                   : no
**            Stop in Wait Mode                            : Disabled
**            Data length                                  : 8 bits
**            Match value                                  : 0
**          Pins
**            SCK pin                                      : PTE0_SPSCK0_TCLK1
**            SCK pin signal                               : 
**            MISO pin allocation                          : Enabled
**            MISO pin                                     : PTE2_MISO0
**            MISO pin signal                              : 
**            MOSI pin allocation                          : Enabled
**            MOSI pin                                     : PTE1_MOSI0
**            MOSI pin signal                              : 
**            SS pin allocation                            : Enabled
**            SS pin mode                                  : Automatic Slave Select output
**            SS pin                                       : PTE3_SS0
**            SS pin signal                                : 
**          Interrupts
**            Interrupt                                    : Vspi0
**            Receive and fault interrupt                  : Disabled
**            Transmit Interrupt                           : Disabled
**            Match interrupt                              : Disabled
**            ISR name                                     : 
**          Initialization
**            Call Init in CPU init. code                  : yes
**            Enable SPI system                            : yes
**     Contents  :
**         Init - void SPI_Init(void);
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __SPI
#define __SPI

/* MODULE SPI. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"




void SPI_Init(void);
/*
** ===================================================================
**     Method      :  SPI_Init (component Init_SPI)
**
**     Description :
**         This method initializes registers of the SPI module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END SPI. */
#endif /* ifndef __SPI */
/*
** ###################################################################
**
**     This file was created by Processor Expert 5.1 [04.49]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
